Subject: Import content from a file
Description

It should be possible to import a site's structure and content from a file, this allows easier testing, distribution of demo content and
migration.

Related issues:
related to TYPO3.Neos - Task # 8285: Create a way to import test/demo content... Resolved 2010-06-16
related to TYPO3.Neos - Bug # 29539: Importing a Site from XML does not work ... Closed 2011-09-07

Associated revisions
Revision 43ed2fe3 - 2010-06-16 12:10 - Karsten Dambekalns

[+FEATURE] TYPO3: We now have a somewhat better setup controller which allows to import content and create admin users, resolves #8284,
resolves #8285.
[~TASK] TYPO3 (Domain): Removed early return from hasChildNodes() in AbstractNode.
[~TASK] TYPO3 (Domain): addChildNode() and getChildNodes() on Site only handle the 'default' section now.
[-TASK] TYPO3 (Domain): getIndexNode() no longer expects a section parameter and returns NULL if no node was found.
[+TASK] PhoenixDemoTypo3Org: Added Sites.xml with the test content.
[+TASK] FLOW3 (Package): added isPackageActive() to the PackageManagerInterface.

Revision c4d1a7ea - 2010-06-29 17:50 - Karsten Dambekalns

[~TASK] TYPO3: The setup controller now can handle arbitrary properties on content elements on import, relates to #8284, relates to #8285.

History
#1 - 2010-06-16 13:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4516.
